Package org.h2.api

# Interface JavaObjectSerializer

All Known Implementing Classes:
  `TestJavaObjectSerializer.DbLevelJavaObjectSerializer`, `TestUrlJavaObjectSerializer.FakeJavaObjectSerializer`

public interface JavaObjectSerializer
Custom serialization mechanism for java objects being stored in column of type OTHER.

## Method Summary

Modifier and Type
Method
Description
`Object`
`deserialize(byte[] bytes)`
Deserialize object from byte array.
`byte[]`
`serialize(Object obj)`
Serialize object to byte array.

## Method Details

### serialize

byte[] serialize(Object obj) throws Exception
Serialize object to byte array.

Parameters:
  `obj` - the object to serialize
Returns:
  the byte array of the serialized object
Throws:
  `Exception` - on failure

### deserialize

Object deserialize(byte[] bytes) throws Exception
Deserialize object from byte array.

Parameters:
  `bytes` - the byte array of the serialized object
Returns:
  the object
Throws:
  `Exception` - on failure